HSQLDBProcedureTranslator (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.dba.hsqldb, class: HSQLDBProcedureTranslator

# Class HSQLDBProcedureTranslator

java.lang.Object
org.apache.cayenne.access.translator.procedure.ProcedureTranslator
org.apache.cayenne.dba.hsqldb.HSQLDBProcedureTranslator

public class HSQLDBProcedureTranslator extends ProcedureTranslator
Works around HSQLDB's pickiness about stored procedure syntax.

Since:
  1.2

- ## Field Summary

  ### Fields inherited from class ProcedureTranslator

  `adapter, callParams, connection, entityResolver, logger, query, values`
  Modifier and Type
  Field
  Description
  `protected DbAdapter`
  `adapter`
  `protected List<ProcedureParameter>`
  `callParams`
  `protected Connection`
  `connection`
  `protected EntityResolver`
  `entityResolver`
  `protected JdbcEventLogger`
  `logger`
  `protected ProcedureQuery`
  `query`
  `protected List<Object>`
  `values`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HSQLDBProcedureTranslator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `createSqlString()`
  Creates HSQLDB-compliant SQL to execute a stored procedure.

  ### Methods inherited from class ProcedureTranslator

  `createStatement, getJdbcEventLogger, getProcedure, getProcedureQuery, initStatement, initValues, setAdapter, setConnection, setEntityResolver, setInParam, setJdbcEventLogger, setOutParam, setQuery`
  Modifier and Type
  Method
  Description
  `PreparedStatement`
  `createStatement()`
  Creates and binds a PreparedStatement to execute query SQL via JDBC.
  `JdbcEventLogger`
  `getJdbcEventLogger()`
  `Procedure`
  `getProcedure()`
  `ProcedureQuery`
  `getProcedureQuery()`
  `protected void`
  `initStatement(CallableStatement stmt)`
  Set IN and OUT parameters.
  `protected void`
  `initValues()`
  `void`
  `setAdapter(DbAdapter adapter)`
  `void`
  `setConnection(Connection connection)`
  `void`
  `setEntityResolver(EntityResolver entityResolver)`
  `protected void`
  `setInParam(CallableStatement stmt, ProcedureParameter param, Object val, int pos)`
  Sets a single IN parameter of the CallableStatement.
  `void`
  `setJdbcEventLogger(JdbcEventLogger logger)`
  `protected void`
  `setOutParam(CallableStatement stmt, ProcedureParameter param, int pos)`
  Sets a single OUT parameter of the CallableStatement.
  `void`
  `setQuery(ProcedureQuery query)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HSQLDBProcedureTranslator

    public HSQLDBProcedureTranslator()

- ## Method Details

  - ### createSqlString

    protected String createSqlString()
    Creates HSQLDB-compliant SQL to execute a stored procedure.
    Overrides:
      `createSqlString` in class `ProcedureTranslator`